Payment History

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is meant to be called in situations where the IPN did not come as expected due to errors or internal incidents. The API is not to be used as the primary means of confirming transactions.
Please note the following:

  1. By default, the API will return 1000 transactions conducted in the last 24 hours
  2. The difference between the fromDate and the toDate can not exceed seven (7) days
  3. The pagination is controlled by you as we will not be returning the total parameter to you due to technical reasons. How do I know that’s all the records? When the combination of your page and size parameter returned an empty array.

Response

{
    "statusCode": 200,
    "message": "Successful",
    "success": true,
    "data": [
        {
            "transactionID": "1919772758",
            "payerTransactionID": "RKK9UGBUM5",
            "currencyCode": "KES",
            "statusDescription": "Payment Accepted",
            "requestOriginName": "Tingg Instore USSD",
            "amountPaid": 1.0,
            "paymentStatus": 140,
            "payerNarration": "The service request is processed successfully.",
            "paymentDate": "2023-11-20T10:06:41",
            "receiverClientCode": "INSTOREDEMOKE",
            "storeCode": "542",
            "counterCode": "12150",
            "msisdn": "254705568254",
            "merchantTransactionID": "4551274",
            "requestOriginCode": "TINGG_INSTORE_USSD"
        }
    ]
}

Response Param

ParameterTypeDescription
data.*.transactionIDStringThis is the transactionID of the transaction
data.*.payerTransactionIDStringThis is the transactionID of the transaction
data.*.currencyCodeStringThis is the currencyCode of the transaction
data.*.statusDescriptionStringThis is the statusDescription of the transaction
data.*.requestOriginNameStringThis is the requestOriginName of the transaction
data.*.amountPaidDoubleThis is the amount paid for the transaction
data.*.paymentStatusIntegerThis is the paymentStatus of the transaction
data.*.payerNarrationStringThis is the requestOriginName of the transaction
data.*.paymentDateStringThe payment date connected with the transaction. E.g. 2023-11-20T10:06:41
data.*.storeCodeStringThis is the identifier of the Store connected to this transaction
data.*.counterCodeStringThis is the identifier of the Counter connected to this transaction
data.*.msisdnStringThis is the mobile number that performed the transaction for Mobile Money payment methods
data.*.merchantTransactionIDStringThis is the same ID returned from initiating a Mobile Money transaction described in section 3.4
data.*.requestOriginCodeStringThis data point indicates the origin of the transaction. Common values are TINGG_INSTORE_USSD, TINGG_INSTORE_INTEGRATIONS
Query Params
string

This is the start date for which transactions are to be returned. The expected format is yyyy-MM-dd HH:mm:ss for example 2023-11-08 00:00:50

string

This is the end date for which transactions are to be returned. This is required if fromDate is provided. The expected format is yyyy-MM-dd HH:mm:ss for example 2023-11-08 00:00:50

string

Filter for transactions belonging to the provided payerTransactionID

string

Filter for transactions belonging to the provided transactionID

string

Filter for transactions belonging to the provided counterCode

string

Filter for transactions belonging to the provided storeCode

int32

The page to view starting from 1

string

The size of the result to return. Maximum of 1000

string

Add this request param to return transactions done by this mobile number e.g. 260779393002. This field is called msisdn in the returned response

Headers
string
required

The three-letter country code where the transaction is done. Typically country of the business e.g. KEN, NGA, ZMB, TZA, UGA

string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json